Page MenuHomePhabricator

Wikidata architecture review and feedback
Closed, ResolvedPublic

Description

Wikibase & co: the Good, the Bad, and the Ugly.

There seems to be a bit of a cultural disconnect between MediaWiki core developers, and people working on Wikibase. As a result, there is a reluctance to dive into the respective other code base. I propose this session as an opportunity to discuss what core developers like and dislike about the Wikidata codebase, and what the Wikidata team likes and dislikes about this codebase.

As a result, I hope we can work out next steps for resolving the worst issues, improve mutual understanding, and document best practices.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedAlexCella
ResolvedAlexCella
ResolvedRfarrand
ResolvedSylvain_WMFr
ResolvedSylvain_WMFr
ResolvedAlexCella
ResolvedQgil
ResolvedOmar_sansi
ResolvedRfarrand
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
DeclinedQgil
DeclinedQgil
DeclinedQgil
DeclinedDrbug
DeclinedTgr
ResolvedNiharika
ResolvedQgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
ResolvedNikerabbit
ResolvedNemo_bis
ResolvedDicortazar
Resolved Jdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren
ResolvedQgil
ResolvedQgil
ResolvedQgil
DeclinedAlexCella
ResolvedQgil
ResolvedQgil
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedDeskana

Event Timeline

daniel created this task.Mar 12 2015, 4:01 PM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to Normal.
daniel assigned this task to Lydia_Pintscher.
daniel added subscribers: Ladsgroup, Tpt, Bene and 15 others.
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Mar 13 2015, 10:25 AM
Tobi_WMDE_SW set Security to None.Mar 13 2015, 1:52 PM
Tobi_WMDE_SW added a subscriber: JeroenDeDauw.

I won't be present on Hackaton but I'd be interested in participating in the discussion, is there a way to enable remote participation maybe? If not, please make good detailed records :)

I won't be present on Hackaton but I'd be interested in participating in the discussion, is there a way to enable remote participation maybe? If not, please make good detailed records :)

From my experience remote participation in these kind of sessions doesn't work at all. Maybe you can provide some input prior to the event? I agree that keeping good detailed records is a must. If we do that in an etherpad you can follow the discussion real time.

Qgil added a comment.May 7 2015, 2:08 PM

Are you still planning to run this session? Would you prefer to have it scheduled in advanced (i.e. to promote it in our circles)?

daniel added a comment.May 7 2015, 2:29 PM

@Qgil: yes and yes :)

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

I have scheduled it.

Lucie added a comment.May 24 2015, 1:40 PM

Here are the notes I took in the session. Very incomplete and maybe confusing, so feel free to edit and improve them!

http://etherpad.wikimedia.org/p/wmhack15-wikidata-architecture-session

Qgil closed this task as Resolved.May 24 2015, 8:19 PM